import { queryTableList as query } from '@/common/setup/table/list';
import { QueryCustomInfo } from '@/services/go/ermcp/customInfo';
import { QueryCustomInfoType } from '@/services/go/ermcp/customInfo/interface';
import { QueryCustomInfoEnum } from '@/services/go/ermcp/customInfo/type';

/**
 * 获取表格列表数据
 * @param type
 * @returns
 */
export function queryTableList(type: QueryCustomInfoEnum) {
    const { loading, tableList, queryTable: temp } = query<QueryCustomInfoType>()
    const fn = () => {
        temp(QueryCustomInfo, type)
    }
    return { loading, tableList, queryTable: fn }
}



